<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/flRoot"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#4d4d4d">

<!--    <com.ez.ertc.call.ui.widget.EzmTextureView-->
<!--        android:id="@+id/vcsTextureView"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent" />-->
    <ImageView
        android:id="@+id/ivShareDesktopCover"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
    <LinearLayout
        android:id="@+id/clScreenVideoOff"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:visibility="gone"
        android:orientation="vertical"
        android:background="#4d4d4d">
        <com.ez.ertc.call.ui.widget.TextCircleImageView
            android:id="@+id/ivScreenAvatar"
            android:layout_gravity="center"
            android:layout_width="80dp"
            android:layout_height="80dp"
            app:ezm_backgroundColors="@color/ezm_c1"/>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginTop="10dp"
            android:layout_marginLeft="17dp"
            android:layout_marginRight="17dp">
            <TextView
                android:id="@+id/tvScreenName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:ellipsize="end"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f28"
                tools:text="林更新林更新新林更新林更新林林林更新林更新林更新林更新林更新林更新林更新林更新林更更新"
                />
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivScreenLevelState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_signal_level_room"
                android:layout_marginLeft="4dp"/>
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivScreenAudioState"
                android:layout_width="20dp"
                android:layout_height="20dp"
                app:srcCompat="@drawable/ys_mt_audio_level"
                android:layout_toRightOf="@id/ivScreenLevelState"/>
        </LinearLayout>

    </LinearLayout>
<!--    todo 4个view-->
<!--    <include layout="@layout/ys_mt_room_member_group"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_gravity="bottom"-->
<!--        android:layout_marginBottom="8dp"/>-->

<!--    <FrameLayout-->
<!--        android:id="@+id/flDrawParent"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="match_parent"-->
<!--        android:visibility="gone"-->
<!--        android:background="@color/ezm_white">-->
<!--        <com.freewind.vcs.board.DrawFrameLayout-->
<!--            android:id="@+id/drawFrameLayout"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="match_parent"/>-->
<!--    </FrameLayout>-->
    <include layout="@layout/ys_mt_room_calling_number"
        android:layout_width="101dp"
        android:layout_height="34dp"
        android:layout_marginRight="-17dp"
        android:layout_gravity="center_vertical|right"/>
    <include layout="@layout/ezm_layout_chat_area"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:visibility="visible"/>
    <LinearLayout
        android:id="@+id/llViewTop"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:background="#cc000000">
        <View
            android:id="@+id/viewStatusBar"
            android:layout_width="match_parent"
            android:layout_height="0dp"/>
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/viewTop"
            android:layout_width="match_parent"
            android:layout_height="64dp">
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivSoundState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_svg_sound_on_24dp"
                android:layout_marginLeft="17dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent" />
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivSwitchCamera"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_svg_switch_camera"
                android:layout_marginLeft="13dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toRightOf="@id/ivSoundState" />
            <TextView
                android:id="@+id/tvId"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f32"
                android:drawableRight="@drawable/ys_mt_svg_shield"
                android:drawablePadding="6dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintBottom_toTopOf="@id/tvFlow"
                app:layout_constraintVertical_chainStyle="packed"
                tools:text="123456789" />
            <TextView
                android:id="@+id/tvFlow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="00:00:00"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f28"
                app:layout_constraintVertical_chainStyle="packed"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintTop_toBottomOf="@id/tvId"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent" />

            <TextView
                android:id="@+id/tvLeave"
                android:layout_width="100dp"
                android:layout_height="match_parent"
                android:layout_marginEnd="10dp"
                android:gravity="center_vertical|end"
                tools:text="结束会议"
                android:textColor="@color/ezm_red"
                android:textSize="@dimen/ezm_f28"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </LinearLayout>


    <androidx.cardview.widget.CardView
        android:id="@+id/cvFloat"
        android:layout_width="108dp"
        android:layout_height="34dp"
        android:layout_gravity="right"
        android:layout_marginTop="80dp"
        android:layout_marginEnd="15dp"
        app:cardBackgroundColor="#66000000"
        app:cardCornerRadius="17dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tvCurrentName"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_weight="1"
                android:ellipsize="end"
                android:singleLine="true"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f24"
                tools:text="张三" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivKpsLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="2dp"
                app:srcCompat="@drawable/ys_mt_signal_level_room" />
            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivWindowAudioState"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_marginEnd="6dp"
                app:srcCompat="@drawable/ys_mt_audio_level" />
        </LinearLayout>
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/llLeftFloat"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="86dp"
        android:layout_marginStart="15dp"
        android:orientation="vertical">
        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/ivScale"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="20dp"
            android:visibility="gone"
            app:srcCompat="@drawable/ys_mt_svg_scale"/>
        <include layout="@layout/ezm_layout_talking"
            android:layout_width="68dp"
            android:layout_height="100dp"
            android:visibility="gone"/>
    </LinearLayout>



    <LinearLayout
        android:id="@+id/viewBottom"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_gravity="bottom"
        android:background="#cc000000"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/llMicro"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center_horizontal|bottom"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivMicroState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_audio_level"/>

            <TextView
                android:id="@+id/tvMicroState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="6dp"
                android:text="@string/ys_mt_imm_btn_audio_on"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f20" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/llCamera"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center_horizontal|bottom"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivCameraState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_svg_video_on_33_30dp" />

            <TextView
                android:id="@+id/tvCameraState"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="6dp"
                android:text="@string/ys_mt_imm_btn_video_on"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f20" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/llShare"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/ivShare"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_svg_share_on_22_21dp" />

            <TextView
                android:id="@+id/tvShare"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="-6dp"
                android:text="@string/ys_mt_imm_btn_share_on"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f20" />
        </LinearLayout>
        <FrameLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1">
            <LinearLayout
                android:id="@+id/llManage"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/ivConfManage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:srcCompat="@drawable/ys_mt_svg_manage" />

                <TextView
                    android:id="@+id/tvConfManage"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="-6dp"
                    android:text="@string/ys_mt_imm_btn_manage_format"
                    android:textColor="@color/ezm_white"
                    android:textSize="@dimen/ezm_f20" />
            </LinearLayout>
            <View
                android:id="@+id/viewPoint"
                android:layout_width="4dp"
                android:layout_height="4dp"
                android:layout_gravity="center"
                android:layout_marginLeft="11dp"
                android:layout_marginBottom="15dp"
                android:visibility="gone"
                android:background="@drawable/ys_mt_bg_round_red"/>
        </FrameLayout>
        <LinearLayout
            android:id="@+id/llPictureInPicture"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:srcCompat="@drawable/ys_mt_svg_more" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="-18dp"
                android:text="@string/ys_mt_room_more_txt"
                android:textColor="@color/ezm_white"
                android:textSize="@dimen/ezm_f20" />
        </LinearLayout>
    </LinearLayout>
    <TextView
        android:id="@+id/tvScreenAccountStreamId"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:visibility="gone"
        android:textColor="@color/ezm_red"
        android:textSize="@dimen/ezm_f24"
        tools:text="123123123" />

    <include
        layout="@layout/ezm_layout_chat_input_dark"
        android:layout_width="match_parent"
        android:layout_height="84dp"
        android:visibility="gone"
        android:layout_gravity="bottom"/>
</FrameLayout>
